Host-level parameters not passed to hooks via json
Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The json passed to foreman hooks does now not contain the parameters set on host level (e.g. via override). This seems to have

changed as it was available in the past.

Some hooks may rely on these parameters.

Related issues:

Blocked by Foreman - Bug #4005: allow Rabl.render(object, 'something/show') t... Closed 01/13/2014

History

#1 - 12/10/2013 12:30 PM - Dominic Cleal

- Tracker changed from Bug to Feature

- Project changed from Foreman to Plugins

- Category deleted (Host creation)

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

I was experimenting with using Rabl.render to render the JSON using the API rabl views which looks like it'll work well, though our patches to rabl

assume that it's being invoked from a Rails controller (by accessing params) so I'll need to fix this in core first (at least under 1.4, haven't checked

1.3).

#2 - 01/13/2014 05:16 PM - Dominic Cleal

- Blocked by Bug #4005: allow Rabl.render(object, 'something/show') to work added

#3 - 01/27/2014 10:30 PM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Fixed in foreman_hooks 0.3.5, I think only on Foreman 1.4.0 GA and above.
